Bug 304411 - tracker falls over on large indexes
tracker falls over on large indexes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 23:30 EDT by Scott J Henson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: tracker-0.6.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 10:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott J Henson 2007-09-24 23:30:53 EDT
Description of problem:
When I install tracker and ask it to index my files in my home directory, I have
a very large number of files due to having a cvs repository containing some 30k
files.  Tracker becomes unresponsive to tracker-stats and tracker-status.  It
never seems to finish indexing the files and when I restart the computer it
never attempts to reindex the cvs repo.  It also seems to exhibit the same
behavior on a directory containing 1.1k oggs.  

Version-Release number of selected component (if applicable):

Name   : tracker
Arch   : i386
Version: 0.6.2
Release: 2.fc8
Size   : 1.2 M
Repo   : installed

How reproducible:

Steps to Reproduce:
1. Turn on Tracker indexing
2. Copy a directory containing a large amount of files into your home directory
(1k might be enough, but 30k does it for me).
3. Try to execute tracker-status or tracker-stats.  Also try searching for terms
you know for a fact will succeed.  
  
Actual results:
shenson@turbosnail:~$ tracker-stats

** (tracker-stats:16074): WARNING **: tracker-stats: an error has occured: Did
not receive a reply. Possible causes include: the remote application did not
send a reply, the message bus security policy blocked the reply, the reply
timeout expired, or the network connection was broken.


Expected results:

I should see information about all the files that tracker has indexed.

Additional info:

This worked under Fedora7 on the same cvs repo.  

I have tracker set to fastest index settings and I've told it to use all the
memory it wants.  Not sure what other config options matter.
Comment 1 Scott J Henson 2007-09-24 23:33:37 EDT
Forgot to say how reproducible.  I can mv the cvs repo to a new location inside
my homedir (mv repo repo.old && mv repo.old repo) and it sends tracker into fits
once more.
Comment 2 Deji Akingunola 2007-09-25 16:56:35 EDT
A new release should soon come out, which will hopefully fix this.
Comment 3 Scott J Henson 2007-09-26 11:51:59 EDT
It is good to hear that it should be fixed in the next release.  I just wanted
to add a little more information to make sure that its the same bug.

First, it seems as though I can get tracker to work by executing trackerd with
-R.  It takes a while to index everything, but it remains responsive and
eventually gets through my files and is useful.

Second, whenever tracker stops (either through the computer shutting down or me
killing it with either SIGTERM or SIGKILL) it seems to lose the database on the
next run.  So I start it as above, it indexes everything, but when I reboot I
must kill tracker and start it with -R to get it to be useable once more.  

I will keep an eye out for the next version.  Thanks.
Comment 4 Scott J Henson 2007-10-04 10:22:59 EDT
This seems fixed now to me.  Tracker is once again behaving normally.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.